//
//! @file CWndPaneSlider.h
//! @copyright 1992 - 2011 Dennis Robinson (http://www.menasoft.com)
//

#ifndef _INC_CWndPaneSlider_H
#define _INC_CWndPaneSlider_H
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "../GrayLibBase.h"
#ifdef _MFC_VER
#include "../Geometry/CRectI.h"

//*******************************************
// CWndPaneSlider window

class CWndPaneSlider : public CWnd	// CButton
{
public:
	CWndPaneSlider();

// Attributes
public:
	int m_iPaneSlideX;
	int m_iPaneSlideWidth;			//!< Width of the grabbable area. GetSystemMetrics( SM_CXSIZEFRAME )
	CWnd* m_pwndLeft;
	CWnd* m_pwndRight;

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CWndPaneSlider)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CWndPaneSlider();
	void SetPaneWidth( CPoint pt );
	void UpdatePositions( int cx, int cy );
	void UpdatePositions();

	// Generated message map functions
protected:
	//{{AFX_MSG(CWndPaneSlider)
#if _MSC_VER >= 1400
	afx_msg LRESULT OnNcHitTest(CPoint point);
#else
	afx_msg UINT OnNcHitTest(CPoint point);
#endif
	afx_msg void OnNcLButtonDown(UINT nHitTest, CPoint point);
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	NMHDR m_NMHdr;
};

//*******************************************
//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(_INC_CWndPaneSlider_H)
#endif
